%define	name	warzone2100
%define	version	0.2.2
%define	release	5
%define	Summary	3D realtime strategy on a future Earth

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Group:		Games/Strategy
Source0:	http://download.berlios.de/warzone/%{name}-nodata-%{version}.tar.bz2
Url:		http://www.realtimestrategies.net/
Summary:	%{Summary}
License:	GPL
BuildRequires:	SDL-devel SDL_net-devel oggvorbis-devel openal-devel
BuildRequires:	Mesa-common-devel mad-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new
structures and prepare your plans of global conquest. If the game goes badly
you'll end up fighting last ditch battles here to defend your base from
enemy attacks.

Combat is frenetic, with extensive graphical effects and damage to the
terrain and buildings giving rise to flying shrapnel and boulders. Within
the game are many different structures and vehicles. From an initial Command
Centre, you then go on to build Resource Extractors to provide fuel for Power
Generators, which in turn supply energy to Factories, Research Facilities and
weapons emplacements to protect your base.

Features:
 * 400+ Technologies to research 
 * 2,000+ different units to design 
 * 3 Large campaign maps to conquer 
 * 24 Fast play mission maps for extra action 
 * Intelligence Display sets objectives dynamically 
 * Interactive message system 
 * Fast Play Interface graphically Based 
 * Quick Screen Navigation 
 * Fast Find System for units & structures 
 * Set Factories to constant production 
 * Automatically send each factory's units to where you want them 

The Warzone 2100 ReDev Project aims to continue the vision of Pumpkin studios
started in 1999 with the game Warzone 2100, Which was closed source until
Dec 6, 2004 when it was let out the doors for the first time under a
GPL license.

%package	opengl
Group:		Games/Strategy
Summary:	OpenGL accelerated binary for Warzone 2100
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}
Requires:       %{name}-data >= %{version}

%description    opengl
OpenGL accelerated binary for Warzone 2100.

%package	software
Group:		Games/Strategy
Summary:        Software accelerated binary for Warzone 2100
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}
Requires:	%{name}-data >= %{version}

%description	software
Software accelerated binary for Warzone 2100.

%prep
%setup -q

%build
export LDFLAGS="-L%{_prefix}/X11R6/%{_lib}"
#(peroyvind) ugly hack to make it use the right path to headers
export CPPFLAGS="-I`pwd`/lib/sequence -I`pwd`/lib/script -I`pwd`/lib/framework -I`pwd`/lib/gamelib -I`pwd`/lib/ivis02 -I`pwd`/lib/sound -I`pwd`/lib/irvis_opengl -I`pwd`/lib/netplay -I`pwd`/lib/widget -I`pwd`/src"
perl -pi -e "s#-m32##g" ./makerules/common.mk
perl -pi -e "s#-m32##g" configure

mkdir -p opengl
cd opengl
CONFIGURE_TOP=.. \
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-opengl \
		--with-ogg \
		--with-mp3
make EXEEXT="-opengl"
cd ..
mkdir -p software
cd software
CONFIGURE_TOP=.. \
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--without-opengl \
		--with-ogg \
		--with-mp3
%make EXEEXT="-software"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
cd opengl
%makeinstall_std EXEEXT="-opengl"
cd ../software
%makeinstall_std EXEEXT="-software"

cat <<EOF >$RPM_BUILD_ROOT%{_gamesbindir}/%{name}-opengl
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/warzone-opengl \$@
EOF
chmod 755 $RPM_BUILD_ROOT%{_gamesbindir}/%{name}-opengl

cat <<EOF >$RPM_BUILD_ROOT%{_gamesbindir}/%{name}-software
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/warzone-software \$@
EOF
chmod 755 $RPM_BUILD_ROOT%{_gamesbindir}/%{name}-software

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}-opengl
?package(%{name}):command="%{_gamesbindir}/%{name}-opengl" \
		icon="strategy_section.png" \
		needs="x11" \
		section="More Applications/Games/Strategy" \
		title="Warzone 2100 - OpenGL Accelerated" \
		longtitle="%{Summary}"
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}-software
?package(%{name}):command="%{_gamesbindir}/%{name}-software" \
		icon="strategy_section.png" \
		needs="x11" \
		section="More Applications/Games/Strategy" \
		title="Warzone 2100 - Software Accelerated" \
		longtitle="%{Summary}"
EOF

%post opengl
%update_menus

%post software
%update_menus

%postun opengl
%clean_menus

%postun software
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files opengl
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README
%{_menudir}/%{name}-opengl
%defattr(755,root,root,755)
%{_gamesbindir}/warzone*-opengl

%files software
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README
%{_menudir}/%{name}-software
%defattr(755,root,root,755)
%{_gamesbindir}/warzone*-software

%changelog
* Wed Sep 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-5mdk
- rebuild to fix path to menudir on x86_64

* Thu Sep 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-4mdk
- enable 64 bit build (not considered safe)
- make %%build --short-circuitable

* Fri Sep 02 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-3mdk
- split out data in own package to be able to provide smaller releases
- build software accelerated binary too

* Thu Sep 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-2mdk
- fix summary

* Wed Aug 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-1mdk
- initial release
